## com.blogspot.applications4android.comicreader
Class ClearCacheUpdater

    java.lang.Object
      <any>
          com.blogspot.applications4android.comicreader.ClearCacheUpdater

    public class ClearCacheUpdater

extends <any>

Class responsible for downloading the comic-strip while displaying a progress dialog

Constructor Summary
`ClearCacheUpdater()`

Method Summary
`protected java.lang.Void` `doInBackground(Comic... arg0)`
`protected void` `onPostExecute(java.lang.Void arg0)`
`protected void` `onPreExecute()`
`protected void` `onProgressUpdate(java.lang.Void... arg0)`
`void` `setActivity(ComicStripViewer a)` Set the activity
`void` `setType(int type)` Navigation type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearCacheUpdater

    public ClearCacheUpdater()

Method Detail

### setActivity

    public void setActivity(ComicStripViewer a)

  Set the activity

  Parameters:
    `a` - activity

### setType

    public void setType(int type)

  Navigation type

  Parameters:
    `type` - type

### doInBackground

    protected java.lang.Void doInBackground(Comic... arg0)

### onPreExecute

    protected void onPreExecute()

### onPostExecute

    protected void onPostExecute(java.lang.Void arg0)

### onProgressUpdate

    protected void onProgressUpdate(java.lang.Void... arg0)